Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157060 - CAN-2005-1260 - bzip2 decompression bomb vulnerability
Summary: CAN-2005-1260 - bzip2 decompression bomb vulnerability
Keywords:
Status: CLOSED DUPLICATE of bug 158801
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: bzip2
Version: fc2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://scary.beasts.org/security/d5d5...
Whiteboard:
Depends On: 157057
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 15:17 UTC by Dominic Hargreaves
Modified: 2007-04-18 17:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-05 05:55:45 UTC


Attachments (Terms of Use)

Description Dominic Hargreaves 2005-05-06 15:17:51 UTC
+++ This bug was initially created as a clone of Bug #157057 +++

Whilst playing with "random bitflipping" technology, an effective decompression
bomb attack against bzip2 was identified. bzip2 can be made to decompress
into a file indefinitely when it encounters a suitably corrupt bzip2 archive.

Demo bz2 archive:
http://scary.beasts.org/security/d5d5466da311d907/bomb.bz2

Fixed in 1.0.3.

No disclosure date yet.

Comment 1 David Eisenstein 2005-11-04 20:44:46 UTC
Removing security flag & This bug duplicates bug 158801.
Should be closed DUPLICATE.

Comment 2 Pekka Savola 2005-11-05 05:55:45 UTC

*** This bug has been marked as a duplicate of 158801 ***


Note You need to log in before you can comment on or make changes to this bug.